> ## Documentation Index
> Fetch the complete documentation index at: https://docs2.zenskar.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get region config

> Get all configs for a specific country for a business entity.



## OpenAPI

````yaml /openAPI/openapi-20240301.json get /business_entities/{business_entity_id}/config/{country_code}
openapi: 3.1.0
info:
  title: zenskar
  version: 2.0.0
servers:
  - url: https://api.zenskar.com
security:
  - ApiTokenAuth: []
    OrganisationAuth: []
paths:
  /business_entities/{business_entity_id}/config/{country_code}:
    get:
      tags:
        - Business Entities
      summary: Get region config
      description: Get all configs for a specific country for a business entity.
      operationId: Get-region-config
      parameters:
        - name: business_entity_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Business Entity Id
        - name: country_code
          in: path
          required: true
          schema:
            type: string
            title: Country Code
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/BusinessEntityConfigResponseSchema'
                title: Response Get-Region-Config
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    BusinessEntityConfigResponseSchema:
      properties:
        id:
          type: string
          format: uuid
          title: Id
          description: Config row ID
        organization_id:
          type: string
          format: uuid
          title: Organization Id
          description: Organisation ID
        business_entity_id:
          type: string
          format: uuid
          title: Business Entity Id
          description: Business entity ID
        country_code:
          type: string
          title: Country Code
          description: ISO country code
        currency_code:
          type: string
          title: Currency Code
          description: ISO currency code
        is_enabled:
          type: boolean
          title: Is Enabled
          description: Whether tax is enabled
        tax_calculation_method:
          type: string
          title: Tax Calculation Method
          description: 'Calculator: NATIVE, AVALARA, or ANROK'
      type: object
      required:
        - id
        - organization_id
        - business_entity_id
        - country_code
        - currency_code
        - is_enabled
        - tax_calculation_method
      title: BusinessEntityConfigResponseSchema
      description: Response shape for a single business entity config row.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    ApiTokenAuth:
      type: apiKey
      in: header
      name: x-api-key
      x-default: <your-api-key>
    OrganisationAuth:
      type: apiKey
      in: header
      name: organisation
      x-default: <your-organisation-id>

````